#include <LiquidCrystal.h>

LiquidCrystal lcd(22, 23, 24, 25, 26, 27, 28);
int backLight = 29;
void setup() {
  pinMode(backLight, OUTPUT);
  digitalWrite(backLight, HIGH);
  lcd.begin(20, 4);
}
 
void loop() {
 
  float average = 0;
  for(int i = 0; i < 1000; i++) {
    average = abs(average) + abs((0.048875855327468 * analogRead(A0) -25) / 1000);
    delay(1);
  }
  float watt;
  for(int i = 0; i < 1000; i++) {
    watt = 220 * average;
    delay(1);
  }
  
  lcd.setCursor ( 0, 0);
  lcd.print(average);  
  lcd.print("A       ");
  
  lcd.setCursor ( 0, 1);
  lcd.print(watt);  
  lcd.print("W       ");
}
